nvme_identify_ns_granularity(2)

NAME
nvme_identify_ns_granularity - Retrieves namespace granularity identification

SYNOPSIS
int nvme_identify_ns_granularity (int fd , struct nvme_id_ns_granularity_list *gr_list );

ARGUMENTS

fd  File descriptor of nvme device

gr_list
    User space destination address to transfer the data

DESCRIPTION
If the controller supports reporting of Namespace Granularity, then a Namespace Granularity List is returned to the host for up to sixteen namespace granularity descriptors

See struct nvme_id_ns_granularity_list for the definition of the returned structure.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.